

// read the hall effect sensor on pin 2

const int hallPin=2;

const unsigned long sampleTime=1000;

const int maxRPM = 10200; 



void setup() 

{

  pinMode(hallPin,INPUT);

  Serial.begin(9600);

  delay(1000);

}



void loop() 

{

  delay(100);

  int rpm=getRPM();

  displayRPM(rpm);

}

 

int getRPM()

{

  // sample for sampleTime in millisecs

  int kount=0;

  boolean kflag=LOW;

  unsigned long currentTime=0;

  unsigned long startTime=millis();

  while (currentTime<=sampleTime)

  {

    if (digitalRead(hallPin)==HIGH)

    {

      kflag=HIGH;

    }

    if (digitalRead(hallPin)==LOW && kflag==HIGH)

    {

      kount++;

      kflag=LOW;

    }

    currentTime=millis()-startTime;

  }

  int kount2rpm = int(60000./float(sampleTime))*kount;

  return kount2rpm;

}

    

void displayRPM(int rpm) 

{

  serial.print(rpm,DEC);

  serial.print("RPM");

}


